## pollinate 4.7

=== debian/changelog ===
pollinate (4.7-0ubuntu1) trusty; urgency=low

  * README:
    - update documentation;  pollinate no longer runs daily
  * entropy.ubuntu.com.pem: LP: #1304777
    - entropy.ubuntu.com re-keyed SSL certs due to heartbleed OpenSSL
      vulnerability

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 07 Mar 2014 16:46:18 -0600

pollinate (4.6-0ubuntu1) trusty; urgency=low

  * debian/pollinate.default:
    - move the default from POOL to SERVER
    - this way, someone can zero out SERVER, whereas POOL is always additive
  * pollinate:
    - save a few forks of hostname
  * debian/pollinate.upstart, pollinate: LP: #1286316
    - now that cloud-init itself is calling pollinate, remove the
      "start on starting cloud-init" trigger
    - when running pollinate through cloud-init, we are not guaranteed
      that syslog will be up, and smoser insists on running pollinate --quiet
      thus we will quietly log our pollinate activity in
      /var/cache/pollinate/log

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 07 Mar 2014 16:46:16 -0600

pollinate (4.5-0ubuntu1) trusty; urgency=low

  * pollinate:
    - fix exit, when in testing mode

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 28 Feb 2014 14:12:14 -0600

pollinate (4.4-0ubuntu1) trusty; urgency=low

  * pollinate:
    - relocate the testing string
  * pollinate, pollinate.1:
    - when testing, force the out to stdout

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 28 Feb 2014 13:56:11 -0600

pollinate (4.3-0ubuntu1) trusty; urgency=low

  [ JuanJo Ciarlante and Dustin Kirkland ]
  * pollinate, pollinate.1:
    - add a -t|--testing flag, to verify communications with a pollen
      server; useful with the pollen nagios check
    - can run as a non-privileged user
    - does NOT affect the local PRNG

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 28 Feb 2014 10:43:36 -0600

pollinate (4.2-0ubuntu1) trusty; urgency=low

  * debian/pollinate.default:
    - use curl --capath /dev/null by default, to mitigate SSL CA MitM
      attacks, since we're shipping our own public cert

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 17 Feb 2014 05:52:47 -0600

pollinate (4.1-0ubuntu1) trusty; urgency=low

  * pollinate, pollinate.1:
    - remove unused variable f2
    - add support for -n|--no-challenge argument
    - this technically makes it possible to use any arbitrary
      URL as an entropy server
      + e.g. random.org, news.google.com
    - document the option in the manpage
  * pollinate:
    - move CURL_OPTS to the end of the line, so that the admin can override
      any curl option, such as the user-agent string in /etc/default/pollinate

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 11 Feb 2014 18:05:53 -0600

pollinate (4.0-0ubuntu1) trusty; urgency=low

  * ChangeLog, check_pollen, COPYING, debian/control, debian/copyright,
    debian/pollen.default, debian/pollen.install,
    debian/pollen.manpages, debian/pollen.postinst,
    debian/pollen.postrm, debian/pollen.upstart, debian/rules,
    img/pollen_14.png, img/pollen_192.png, img/pollen_64.png,
    img/pollinate_14.png, img/pollinate_192.png, img/pollinate_64.png,
    img/pollinate.png, INSTALL, Makefile, pollen.8, pollen.go,
    usr.bin.pollen:
    - split pollinate out into its own project and source package
    - pollinate is a simple shell script, whereas pollen is a compiled
      golang binary; this was proving far too complex to manage together
  * debian/pollinate.postinst, debian/pollinate.preinst: LP: #1278770
    - clean up busted/broken conffile, oops

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 11 Feb 2014 09:43:23 -0600

pollen (3.17-0ubuntu1) trusty; urgency=low

  * pollinate:
    - improve kernel debug info
  * debian/control, debian/pollen.install, Makefile:
    - TEMPORARILY disabling the building of pollen, until
      either gccgo or golang-go get promoted to main
    - this should be reverted as soon as a go compiler
      is available as a build dep

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 10 Feb 2014 14:16:08 -0600

pollen (3.16-0ubuntu1) trusty; urgency=low

  * pollinate:
    - minor standardization of the user agent string

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 05 Feb 2014 13:57:42 +0200

pollen (3.15-0ubuntu1) trusty; urgency=low

  * debian/control: LP: #1274074
    - build on any architecure, now that we build with gccgo

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 05 Feb 2014 12:31:20 +0200

pollen (3.14-0ubuntu1) trusty; urgency=low

  * debian/pollinate.postinst:
    - fix order of operations, packaging breakage

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 05 Feb 2014 11:34:36 +0200

pollen (3.13-0ubuntu1) trusty; urgency=low

  * README:
    - fix more minor typos
    - explain "did some work"
  * debian/rules, Makefile:
    - fix the build for gccgo
    - must use the -g parameter
    - don't strip binaries
    - these are ugly, but are the result of gccgo vs golang-go
  * pollinate:
    - remove unused variable $cmd
  * debian/pollinate.upstart:
    - our upstart job should start on starting cloud-init, to ensure that
      we get run before generating SSH keys
  * debian/pollinate.install, debian/pollinate.postrm, pollen.go,
    pollinate, pollinate.cron.d, README:
    - drop the tag and cronjob per feedback from sarnold in the code audit
      in LP: #1246098
  * debian/pollinate.default, pollinate:
    - add helpful debug info to user agent, similar to chrome and firefox,
  * debian/pollinate.postinst, debian/pollinate.postrm,
    debian/pollinate.upstart, pollinate, pollinate.1:
    - use a pollinate user, rather than the daemon user
    - by default, only run pollinate once per system instantiation
    - offer reseeding as an option, though
  * debian/control:
    - need to depend on adduser

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 04 Feb 2014 11:51:22 +0200

pollen (3.12-0ubuntu1) trusty; urgency=low

  * README:
    - minor documentation feedback from Kees Cook

