=== debian/control ===
Source: pollinate
Section: admin
Priority: optional
Maintainer: Dustin Kirkland <kirkland@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 autotools-dev,
 autoconf,
 automake,
Standards-Version: 3.9.4
Homepage: http://launchpad.net/pollinate

Package: pollinate
Architecture: all
Depends: ${misc:Depends}, run-one, curl, adduser
Provides: anerd, anerd-client
Replaces: anerd (<< 3.0), anerd-client (<< 3.0)
Breaks: anerd (<< 3.0), anerd-client (<< 3.0)
Description: seed the pseudo random number generator in virtual machines
 This client will connect to one or more Pollen (entropy-as-a-service)
 servers over an (optionally) encrypted connection and retrieve a random
 seed over HTTP or HTTPS.
 This is particularly useful at the first boot of cloud images and in
 virtual machines, to seed a system's random number generator at
 genesis, and is intended to supplement the /etc/init.d/urandom init script.
