## pollinate 4.9

=== debian/changelog ===
pollinate (4.9-0ubuntu1) utopic; urgency=medium

  * entropy.ubuntu.com.pem:
    - add original CA certificate, LP: #1381359

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 15 Oct 2014 09:28:22 +0200

pollinate (4.8-0ubuntu1) utopic; urgency=medium

  * entropy.ubuntu.com.pem: LP: #1381359
    - update the expiring SSL certificate

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 15 Oct 2014 09:28:20 +0200
