## pollinate 4.11

=== debian/changelog ===
pollinate (4.11-0ubuntu2.2) vivid-security; urgency=medium

  * Add "DigiCert Global Root CA" certificate from ca-certificates
    package to entropy.ubuntu.com.pem. This is required to correctly
    verify against the new entropy.ubuntu.com SSL certificate.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 13 Oct 2015 16:51:38 +0000

pollinate (4.11-0ubuntu2.1) vivid-security; urgency=medium

  * entropy.ubuntu.com.pem:
    - entropy.ubuntu.com SSL is coming up for renewal on 2015-09-15
    - update the certs for the pollinate package
    - Note that this changes the issuing CA to DigiCert, which requires
      a new intermediary.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 11 Aug 2015 15:45:40 -0500

pollinate (4.11-0ubuntu1) vivid; urgency=medium

  [ Martin Pitt ]
  * debian/pollinate.service: Avoid default dependencies as we make
    network.target depend on pollinate, and that needs to be able to run early
    for NFS. (LP: #1428487)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 05 Dec 2014 18:02:59 -0600

pollinate (4.10-0ubuntu1) vivid; urgency=medium

  [ Martin Pitt ]
  * Add systemd unit. Call dh_installinit with --no-start as we only need to
    run this at boot, not at install/upgrade time.
  * Bump Standards-Version to 3.9.6 (no changes necessary).

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 05 Dec 2014 18:02:57 -0600
