## pollinate 4.13

=== debian/changelog ===
pollinate (4.13-0ubuntu1) wily; urgency=medium

  [ Robie Basak ]
  * entropy.ubuntu.com.pem:
    - Add "DigiCert Global Root CA" certificate from ca-certificates
      package to entropy.ubuntu.com.pem. This is required to correctly
      verify against the new entropy.ubuntu.com SSL certificate.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 11 Aug 2015 15:33:31 -0500

pollinate (4.12-0ubuntu1) wily; urgency=medium

  * pollinate:
    - add cpu hardware model to user agent
  * entropy.ubuntu.com.pem:
    - entropy.ubuntu.com SSL is coming up for renewal on 2015-09-15
    - update the certs for the pollinate package
    - Note that this changes the issuing CA to DigiCert, which requires
      a new intermediary.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 11 Aug 2015 15:33:29 -0500
