=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Dustin Kirkland <kirkland@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
+ dh-systemd,
  autotools-dev,
  autoconf,
  automake,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://launchpad.net/pollinate
 
 Package: pollinate
