## pollinate 4.23

=== debian/changelog ===
pollinate (4.23-0ubuntu1) yakkety; urgency=medium

  * pollinate:
    - revert revision r300, as this was the wrong fix to the slow pollinate
      problem;  as it turns out, it was the user_agent function, which was
      running apt-cache very early in boot, before the apt database had
      been created
    - as it turns out, we need the curl timeout options in order for curl
      to work properly and be resilient against issues with the network
      coming up early in boot

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 29 Aug 2016 22:23:39 -0500

pollinate (4.22-0ubuntu1) yakkety; urgency=medium

  * debian/pollinate.default, pollinate: LP: #1604155
    - fix a couple of bugs affecting how long pollinate takes, and if
      it actually completes successfully
    - dpkg -l is way faster than apt-cache, when there is no apt cache
    - wait a maximum of 10 seconds
    - only log to stderr if in an interactive terminal; otherwise, just
      log to syslog
      + this fixes the odd double-printing to /var/log/syslog
    - optimize obtaining version strings by saving one pipe per call
    - source /etc/lsb/release and use $DISTRIB_DESCRIPTION, rather
      than calling lsb-release (python, can be slow)
    - add -m (max-timeout) back to curl options;  removing this option
      has caused network failures in various strange ways
    - when network fails due to timeout, log accordingly
    - ignore cloud-init package not found;  it's optional

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 29 Aug 2016 22:23:37 -0500

pollinate (4.21-0ubuntu1) yakkety; urgency=medium

  [ Dustin Kirkland ]
  * pollinate:
    - fix broken printing of binary data, this was breaking check_pollen
      nagios scripts on the server

  [ Junien Fridrick ]
  * entropy.ubuntu.com.pem:
    - simplify CA cert to just the DigiCert chain (drop GoDaddy)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 22 Jul 2016 14:03:19 +0200

pollinate (4.20-0ubuntu1) yakkety; urgency=medium

  * debian/control:
    - drop the anerd references, hasn't existed in basically forever
    - update description
    - add dummy | dh-apparmor dependency to get this building on precise,
      where dh-systemd doesn't exist
    - drop run-one dependency, no longer needed
    - make the bsdutils dependency (for logger) explicit, add epoch
  * debian/rules:
    - use systemd, when possible
  * pollinate:
    - fix breakage on older (trusty, precise) Ubuntu, where logger does not
      support --id=[ID]; check version of bsdutils (provides logger) to
      ensure that it's at least ubuntu wily
    - cloud-init version string
  * debian/pollinate.service, debian/pollinate.upstart:
    - improve the init messages logged

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 11 Jul 2016 10:52:55 -0500

pollinate (4.19-0ubuntu1) yakkety; urgency=medium

  [ Martin Pitt ]
  * debian/pollinate.service: Move installation from network.target to
    multi-user.target. network.target is too early and causes dependency loops
    with e. g. NFS. (LP: #1576333)
  * debian/pollinate.preinst: Clean up old enablement symlink on upgrade. This
    needs to be kept until after 18.04 LTS.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 19 May 2016 21:26:33 -0700

pollinate (4.18-0ubuntu1) yakkety; urgency=medium

  * debian/pollinate.service:
    - move to later in boot, after network starts, but before ssh starts

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 06 May 2016 14:00:35 -0500

pollinate (4.17-0ubuntu1) yakkety; urgency=medium

  * debian/pollinate.service:
    - use the right flag file for LP: #1578833

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 06 May 2016 11:36:00 -0500

pollinate (4.16-0ubuntu1) yakkety; urgency=medium

  [ Martin Pitt ]
  * Don't run pollinate.service in containers (as containers can't and should
    not write the host's random pool) and when we already have a saved random
    seeds (i. e. only on first boot). (LP: #1578833)
  * Bump Standards-Version to 3.9.8 (no changes needed).

  [ Dustin Kirkland ]
  * pollinate: use timeout(1) to limit curl, related to LP: #1578833

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 05 May 2016 17:12:06 -0500
