=== debian/control ===
Source: pollinate
Section: admin
Priority: optional
Maintainer: Dustin Kirkland <kirkland@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 dh-systemd | dh-apparmor,
 autotools-dev,
 autoconf,
 automake,
Standards-Version: 3.9.8
Homepage: http://launchpad.net/pollinate

Package: pollinate
Architecture: all
Depends: ${misc:Depends}, curl, adduser, bsdutils
Description: seed the pseudo random number generator
 This client will connect to one or more Pollen (entropy-as-a-service)
 servers over an (optionally) encrypted connection and retrieve a random
 seed over HTTP or HTTPS.
 This is particularly useful at the first boot of cloud images and in
 virtual machines, to seed a system's random number generator at
 genesis, and is intended to supplement the /etc/init.d/urandom init script.
 It can be used on physical machines, as well, to supplement the seeding
 of the psuedo random number generator.
