## pollinate 4.25

=== debian/changelog ===
pollinate (4.25-0ubuntu1) zesty; urgency=medium

  [ Stefano Rivera ]
  * debian/control: Add missing dependency on xxd. (LP: #1656484)

  [ Dustin Kirkland ]
  * debian/control: xxd is provided by vim-common in older Ubuntu releases

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 02 Nov 2016 14:47:01 +0200

pollinate (4.24-0ubuntu1) zesty; urgency=medium

  * pollinate:
    - remove duplicate config file sourcing
    - add uptime/idletime to user agent to help detect abuse, LP: #1638552

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 02 Nov 2016 14:47:00 +0200
