=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 Package: pollinate
 Architecture: all
-Depends: ${misc:Depends}, curl, adduser, bsdutils
+Depends: ${misc:Depends}, curl, adduser, bsdutils, xxd | vim-common
 Description: seed the pseudo random number generator
  This client will connect to one or more Pollen (entropy-as-a-service)
  servers over an (optionally) encrypted connection and retrieve a random
