## pollinate 4.27

=== debian/changelog ===
pollinate (4.27-0ubuntu1) artful; urgency=medium

  * Fixup maintscript & version missmatch from the previous upload.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 18 Aug 2017 13:13:16 +0100

pollinate (4.26-0ubuntu1) artful; urgency=medium

  [ Scott Moser ]
  * Perform as safe read of /proc/uptime LP: #1708461

  [ Dimitri John Ledkov ]
  * Drop upstart system job
  * Drop no longer needed build-deps, and redundantly specified essential
    bsdutils
  * Fix spelling typo in the description
  * Bump debhelper compat to 9, previous levels are deprecated

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 14 Jan 2017 08:45:46 +0100
