## pollinate 4.31

=== debian/changelog ===
pollinate (4.31-0ubuntu1) bionic; urgency=medium

  [ Scott Moser ]
  * pollinate: add '--print-user-agent' flag.
  * pollinate: Speedups when collecting information for user-agent.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 31 Jan 2018 07:24:35 -0600

pollinate (4.30-0ubuntu1) bionic; urgency=medium

  * debian/pollinate.postinst:
    - don't try to chown a dir to the user, potentially before the user exists

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 31 Jan 2018 07:24:33 -0600

pollinate (4.29-0ubuntu1) bionic; urgency=medium

  * No change rebuild, release error in 4.28

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 30 Jan 2018 16:41:13 -0600

pollinate (4.28-0ubuntu1) bionic; urgency=medium

  [ Dustin Kirkland ]
  * pollinate:
    - add hypervisor to useragent string
  * debian/pollinate.postinst:
    - ensure that the pollinate user owns /var/cache/pollinate;
      to be safe, we're going to do this just after the mkdir, and
      after the adduser;
      this avoids the warning:
      + adduser: Warning: The home directory /var/cache/pollinate
        does not belong to the user you are currently creating.

  [ Steve Langasek ]
  * Minor enhancements to pollinate runtime:
    - dpkg | awk is unnecessary, dpkg-query --showformat does this
  * dpkg -l is a fairly heavyweight operation (.1s); ask logger directly
    what its version number is (.01s)

  [ Scott Moser ]
  * pollinate:
    - Add cloud image build info and data in /etc/pollinate/add-user-agent.
    - Use systemd-detect-virt and namespace virt/<type> in useragent

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 30 Jan 2018 16:31:24 -0600
