=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with systemd

# this only needs to start at boot, not at install/upgrade
override_dh_installinit:
	dh_installinit --no-start
