## pollinate 4.33

=== debian/changelog ===
pollinate (4.33-4ubuntu4) questing; urgency=medium

  * Several d/apparmor/pollinate fixes:
    - adjust apparmor profile to cope with coreutils paths by using the new
      @{coreutil_dirs} variable (LP: #2123870)
    - allow "grep" only (no variants), and restrict the "awk" variants
    - we don't need a rule for coreutils binary itself
    - allow for usr-merge paths
    - allow printf
    - allow unconfined fallback for dmesg and systemd-detect-virt. These
      require extra privileges which are too broad for pollimate as a whole.
      systemd-detect-virt in particular is hard to accomodate and test as there
      are many different types of containers, VMs, and hosts, where it could
      run.

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 25 Sep 2025 09:47:47 -0300

pollinate (4.33-4ubuntu3) questing; urgency=medium

  * d/pollinate.apparmor: add apparmor profile to work around the curl
    profile restrictions on tempfiles and certificate (LP: #2119237)
    - d/t/healthcheck: check pollinate can run successfully with profile

 -- Simon Poirier <simon.poirier@canonical.com>  Mon, 18 Aug 2025 16:22:28 -0400

pollinate (4.33-4ubuntu2) plucky; urgency=medium

  * Relicensing check_pollen (LP: #2097596)
    - d/p/check-pollen-to-pollinate.patch: update to match latest upstream
    - d/copyright: drop AGPL stanza

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 07 Feb 2025 09:12:54 +0100

pollinate (4.33-4ubuntu1) oracular; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - d/p/replace-lsb-release.patch: removed as it's Debian specific
    - Use the Ubuntu entropy server and certificate:
      + d/pollinate.default: use entropy.ubuntu.com and its certificate
      + d/pollinate.install: install the ubuntu.entropy.com certificate
    - d/pollinate.service: ensure cache directory is recreated (LP: #1848923)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Jun 2024 11:56:31 -0500

pollinate (4.33-4) unstable; urgency=medium

  * ack NMU
  * No source change upload to rebuild arch:all package for /usr-move
  * debian/control: use dh13
  * debian/control: use standard 4.7.0
  * debian/control: add Rules-Requires-Root: no

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 23 May 2024 19:20:00 +0200

pollinate (4.33-3.1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/p/replace-lsb-release.patch: removed as it's Debian specific
    - Use the Ubuntu entropy server and certificate:
      + d/pollinate.default: use entropy.ubuntu.com and its certificate
      + d/pollinate.install: install the ubuntu.entropy.com certificate
  * d/pollinate.service: ensure cache directory is recreated (LP: #1848923)
  * Dropped:
    - d/control: add breaks/replaces on pollen 4.21-1 which is when the
      check_pollen script moved out of pollen. Case #9 of package transition.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 26 Jul 2023 13:39:18 -0500

pollinate (4.33-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:37:39 +0200

pollinate (4.33-3ubuntu2) hirsute; urgency=medium

  * d/pollinate.service: ensure cache directory is recreated (LP: #1848923)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 09 Feb 2021 10:57:54 +0100

pollinate (4.33-3ubuntu1) focal; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/replace-lsb-release.patch: removed as it's Debian specific
    - Use the Ubuntu entropy server and certificate:
      + d/pollinate.default: use entropy.ubuntu.com and its certificate
      + d/pollinate.install: install the ubuntu.entropy.com certificate
    - d/control: add breaks/replaces on pollen 4.21-1 which is when the
      check_pollen script moved out of pollen. Case #9 of package transition.
      [Can be dropped after 20.04]
  * Dropped:
    - d/watch: add watch file pointing at launchpad
      [Fixed upstream]

 -- Lucas Kanashiro <lucas.kanashiro@canonical.com>  Tue, 19 Nov 2019 18:34:55 -0300

pollinate (4.33-3) unstable; urgency=medium

  * upload source package
  * add debian/watch

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 19 Aug 2019 22:20:00 +0000

pollinate (4.33-2ubuntu1) eoan; urgency=medium

  * d/p/replace-lsb-release.patch: removed as it's Debian specific
  * Use the Ubuntu entropy server and certificate:
    - d/pollinate.default: use entropy.ubuntu.com and its certificate
    - d/pollinate.install: install the ubuntu.entropy.com certificate
  * d/watch: add watch file pointing at launchpad
  * d/control: add breaks/replaces on pollen 4.21-1 which is when the
    check_pollen script moved out of pollen. Case #9 of package transition.
    [Can be dropped after 20.04]

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 21 May 2019 10:42:07 -0300

pollinate (4.33-2) unstable; urgency=medium

  * debian/control: add salsa VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 28 Feb 2019 19:15:14 +0100

pollinate (4.33-1) sid; urgency=medium

  * first upload to Debian
  * debian/control: use dh11
  * debian/control: use standard 4.3.0
  * debian/copyright: use https for copyright-format-uri
  * debian/rules: dh 11 does not allow "--with systemd"
  * don't use chown -r in maintainer script

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 04 Feb 2019 19:15:14 +0100

pollinate (4.33-0ubuntu1) cosmic; urgency=medium

  * pollinate: fix bug on xen when not booted with systemd. user-agent
    would contain virt/virt/xen rather than virt/xen. (LP: #1774043)
  * pollinate: use systemd-detect-virt if available rather than detecting
    its availability based on /run/systemd.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 29 May 2018 16:15:14 -0400

pollinate (4.32-0ubuntu1) cosmic; urgency=medium

  * pollinate: include img/build_name/server in user-agent.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 25 May 2018 12:30:06 -0400
