=== debian/tests/control ===
Tests: healthcheck
Depends: @, sudo, apparmor
Restrictions: needs-root, needs-internet, isolation-machine, needs-sudo
